Bug 1142128 - Intel Wireless-AC 9260 adapter firmware wont run
Intel Wireless-AC 9260 adapter firmware wont run
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 Other
: P5 - None : Major (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-19 03:44 UTC by richard tennis
Modified: 2019-08-29 09:58 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
dmesg and other details from failure case with kernel-firmware-20190712-274.1.noarch (25.85 KB, application/x-compressed-tar)
2019-07-19 19:32 UTC, Roger Whittaker
Details
dmesg output after reinstalling kernel-firmware-20190712-271.1.noarch.rpm (161.42 KB, text/plain)
2019-07-20 20:17 UTC, richard tennis
Details
dmesg output after installing new Intel firmware (173.36 KB, text/plain)
2019-07-21 15:00 UTC, richard tennis
Details
dmesg after cold boot, with kernel-firmware-20190726-275.1.noarch.rpm installed (110.98 KB, text/plain)
2019-08-06 12:29 UTC, Roger Whittaker
Details
dmesg output after installing kernel-firmware-20190726-275.1.noarch.rpm (723.13 KB, text/plain)
2019-08-07 05:27 UTC, richard tennis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description richard tennis 2019-07-19 03:44:20 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/77.0.3854.3 Safari/537.36
Build Identifier: 

kernel-firmware 20190628 contained a new version of the 9260 u-code. After reboot, the wifi stopped working and dmesg reported the following:

kernel: iwlwifi 0000:3b:00.0: Firmware not running - cannot dump error

Reverting /lib/firmware/iwlwifi-9260-th-b0-jf-b0-46.ucode to the previous version fixed the problem.

Reproducible: Always

Steps to Reproduce:
1. Update to kernel-firmware 20190628
2. Reboot
3. Check Wifi
Actual Results:  
Wifi adapter refuses to run new code.

Expected Results:  
Worked normally.

This is on a Dell Precision 5530 laptop running OpenSUSE Tumbleweed.
Comment 1 Takashi Iwai 2019-07-19 05:58:21 UTC
Could you check whether the kernel-firmware package in OBS Kernel:HEAD repo still shows the same problem?  I guess yes, but need the confirmation.

Once when confirmed, I'm going to revert the corresponding firmware file, as well as reporting to upstream.
Comment 2 Mischa Salle 2019-07-19 08:40:26 UTC
(In reply to Takashi Iwai from comment #1)
> Could you check whether the kernel-firmware package in OBS Kernel:HEAD repo
> still shows the same problem?  I guess yes, but need the confirmation.
> 
> Once when confirmed, I'm going to revert the corresponding firmware file, as
> well as reporting to upstream.

Sounds similar to
https://bugs.launchpad.net/ubuntu/+source/linux-signed/+bug/1836986
Comment 3 Takashi Iwai 2019-07-19 08:44:55 UTC
Yes, we're not alone, there are a few other bug reports for other distros, as far as I see through the quick web search matching with the error message.

I prepared the kernel-firmware package with the revert in OBS home:tiwai:branches:Kernel:HEAD/kernel-firmware repo.  It's still being built.

If anyone can confirm that my package works, it'd be appreciated.
Comment 4 richard tennis 2019-07-19 14:18:10 UTC
I tried installing kernel-firmware from Kernel:HEAD:

    kernel-firmware-20190712-271.1.noarch.rpm

and it caused the same problem. Had to revert the firmware file to get back online.
Comment 5 Takashi Iwai 2019-07-19 14:27:57 UTC
OK, then could you test quickly my package in OBS home:tiwai:branches:Kernel:HEAD repo?
  http://download.opensuse.org/repositories/home:/tiwai:/branches:/Kernel:/HEAD/standard/

This includes the revert, so it should work.
Comment 6 Roger Whittaker 2019-07-19 14:47:39 UTC
I was affected by this and the package kernel-firmware-20190712-274.1.noarch from the above location did not fix it for me.

I see:

2019-07-19T15:44:05.292308+01:00 tweedledum kernel: [  329.449002] iwlwifi 0000:3b:00.0: Microcode SW error detected. Restarting 0x0.
2019-07-19T15:44:05.292339+01:00 tweedledum kernel: [  329.451281] iwlwifi 0000:3b:00.0: Start IWL Error Log Dump:
2019-07-19T15:44:05.292342+01:00 tweedledum kernel: [  329.451285] iwlwifi 0000:3b:00.0: Status: 0x00000100, count: 6
2019-07-19T15:44:05.292344+01:00 tweedledum kernel: [  329.451287] iwlwifi 0000:3b:00.0: Loaded firmware version: 46.0e6a7071.0
2019-07-19T15:44:05.292348+01:00 tweedledum kernel: [  329.451291] iwlwifi 0000:3b:00.0: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL    
2019-07-19T15:44:05.292350+01:00 tweedledum kernel: [  329.451294] iwlwifi 0000:3b:00.0: 0x00A022F0 | trm_hw_status0
2019-07-19T15:44:05.292352+01:00 tweedledum kernel: [  329.451297] iwlwifi 0000:3b:00.0: 0x00000000 | trm_hw_status1
2019-07-19T15:44:05.292354+01:00 tweedledum kernel: [  329.451299] iwlwifi 0000:3b:00.0: 0x00488116 | branchlink2
2019-07-19T15:44:05.292356+01:00 tweedledum kernel: [  329.451301] iwlwifi 0000:3b:00.0: 0x0047934E | interruptlink1
[...etc]

Reverting to the older kernel-firmware-20190618-2.1.noarch.rpm did fix it for me.

  Model: "Intel Wireless-AC 9260"
  Vendor: pci 0x8086 "Intel Corporation"
  Device: pci 0x2526 "Wireless-AC 9260"
  SubVendor: pci 0x8086 "Intel Corporation"
  SubDevice: pci 0x4010
  Revision: 0x29
  Driver: "iwlwifi"
Comment 7 Takashi Iwai 2019-07-19 15:03:36 UTC
(In reply to Roger Whittaker from comment #6)
> I was affected by this and the package kernel-firmware-20190712-274.1.noarch
> from the above location did not fix it for me.

Could you try the package mentioned in comment 5?  I need the confirmation before submitting the fix.
Comment 8 richard tennis 2019-07-19 15:07:49 UTC
I tried the new one using:

rpm --reinstall --replacefiles kernel-firmware-20190712-274.1.noarch.rpm

Didn't work, after reboot, no wifi. Reverted firmware file again, wifi back.
Same dmesg complaint. The particulars of the working u-code file:

-rw-r--r-- 1 root root 1456088 Jun 18 08:12 /lib/firmware/iwlwifi-9260-th-b0-jf-b0-46.ucode
sha256sum /lib/firmware/iwlwifi-9260-th-b0-jf-b0-46.ucode
9c7c941ac6878b012a6f354acbfca66a119584bcfa45b63cfc2b81d6178cc868  /lib/firmware/iwlwifi-9260-th-b0-jf-b0-46.ucode

Let me know if you need more info.
Comment 9 Takashi Iwai 2019-07-19 15:10:07 UTC
Hm, OK, then it means that the upstream broke twice.  I reverted to a version before the latest one, and this seems already broken.  I need to go back further until 20190618's one.

Let me work on the fix package...
Comment 10 Roger Whittaker 2019-07-19 15:17:13 UTC
In reply to comment#7 - to be clear, I did indeed fail with the package you mentioned in comment#5 - it was definitely kernel-firmware-20190712-274.1.noarch from the location you mentioned.
Comment 11 Takashi Iwai 2019-07-19 15:27:17 UTC
The revised fix package is being built in the same OBS repo now.  Once when ready (should be kernel-firmware-*.275.1), please test it again.  Thanks!
Comment 12 Takashi Iwai 2019-07-19 15:47:49 UTC
Meanwhile I reported the problem to upstream.  Let's see how the things get fixed.
Comment 13 Roger Whittaker 2019-07-19 15:53:40 UTC
kernel-firmware-20190712-275.1.noarch fixes the problem for me.
Comment 14 Takashi Iwai 2019-07-19 16:00:20 UTC
Thanks for quick testing.  I submitted the package to FACTORY.
Comment 15 richard tennis 2019-07-19 16:18:53 UTC
kernel-firmware-20190712-275.1.noarch.rpm worked for me as well.
Comment 16 Takashi Iwai 2019-07-19 19:01:43 UTC
One more favor: now the upstream dev asked about the complete kernel messages including the iwlwifi crash for further analysis.  Could you upload the full dmesg output on Bugzilla?

Also, he mentioned that the new firmware will be released soon (today or tomorrow), so it'd be great if you can test the new package later once when ready.

Thanks!
Comment 17 Roger Whittaker 2019-07-19 19:32:34 UTC
Created attachment 811075 [details]
dmesg and other details from failure case with kernel-firmware-20190712-274.1.noarch
Comment 18 richard tennis 2019-07-20 20:17:23 UTC
Created attachment 811093 [details]
dmesg output after reinstalling kernel-firmware-20190712-271.1.noarch.rpm

I think my dmesg is probably the same as Roger's, but mine is from the original kernel:head rpm.
Comment 19 Takashi Iwai 2019-07-21 06:31:20 UTC
Intel released new firmware files and I created a test update package.
It'd be helpful if you can check it and report back whether it works or not.

The test package is being built on the same repo,
  http://download.opensuse.org/repositories/home:/tiwai:/branches:/Kernel:/HEAD/standard/

The package version is 20190712+iwlwifi, so you can easily identify it.

Thanks!
Comment 20 richard tennis 2019-07-21 14:56:38 UTC
20190712+iwlwifi did not work. Same problem as before. I will attach dmesg.
Comment 21 richard tennis 2019-07-21 15:00:40 UTC
Created attachment 811103 [details]
dmesg output after installing new Intel firmware

The new firmware in kernel-firmware-20190712+iwlwifi-275.1.noarch.rpm did not fix the problem.
Comment 22 Takashi Iwai 2019-08-06 11:07:26 UTC
Can anyone test the latest package available at
  http://download.opensuse.org/repositories/home:/pluskalm:/branches:/Kernel:/HEAD/standard/
?

This contains the latest linux-firmware git update including the iwlwifi updates.
I'd like to confirm whether this still breaks or not.
Comment 23 Roger Whittaker 2019-08-06 11:21:42 UTC
Still broken for me I'm afraid, with the following hardware:

  Model: "Intel Wireless-AC 9260"
  Vendor: pci 0x8086 "Intel Corporation"
  Device: pci 0x2526 "Wireless-AC 9260"
  SubVendor: pci 0x8086 "Intel Corporation"
  SubDevice: pci 0x4010
  Revision: 0x29
Comment 24 Takashi Iwai 2019-08-06 12:15:22 UTC
Thanks for quick testing.  Could you give the dmesg output please?
Comment 25 Takashi Iwai 2019-08-06 12:19:25 UTC
Ah, one important thing was forgotten.  When you test the updated system, please do cold-boot.  Otherwise it won't be effective, according to Intel.

Could you retest after the cold boot?
Comment 26 Roger Whittaker 2019-08-06 12:29:20 UTC
Created attachment 812989 [details]
dmesg after cold boot, with kernel-firmware-20190726-275.1.noarch.rpm installed
Comment 27 richard tennis 2019-08-07 05:27:52 UTC
Created attachment 813068 [details]
dmesg output after installing kernel-firmware-20190726-275.1.noarch.rpm

Installed new rpm and performed a cold boot. This is after the latest Tumbleweed update VERSION="20190805" with kernel 5.2.5-1-default. Same firmware won't run problem.
Comment 28 Takashi Iwai 2019-08-07 06:12:29 UTC
Thanks.  So the latest firmware is still broken :-<
Reported to upstream now.
Comment 29 Frank Krüger 2019-08-07 07:47:34 UTC
(In reply to Takashi Iwai from comment #28)
> Thanks.  So the latest firmware is still broken :-<
> Reported to upstream now.

Is there a bug#? Thx.
Comment 30 Takashi Iwai 2019-08-07 08:09:21 UTC
No, a mail communication on linux-wirelss ML,
 message-id <s5hr26m9gvc.wl-tiwai@suse.de>
Comment 31 Takashi Iwai 2019-08-29 09:58:59 UTC
The kernel-default 5.2.10 (or 5.3-rc6+) should work with the latest kernel-firmware package.  Currently TW is still with 5.2.9, so you'd need to wait for 5.2.10 or check with the kernel in OBS Kernel:stable repo.

Please reopen if you still encounter the problem with the combination above.  Thanks.